### Method

# Gtk PrintSettingsget_length

#### Declaration [src]

    double
    gtk_print_settings_get_length (
      GtkPrintSettings* settings,
      const char* key,
      GtkUnit unit
    )

#### Description [src]

Returns the value associated with `key`, interpreted as a length.

The returned value is converted to `units`.

#### Parameters

`key`

  Type: `const char*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`unit`

  Type: `GtkUnit`

  The unit of the return value.

#### Return value

Type: `double`

The length value of `key`, converted to `unit`.